import { getUserDetails,getUserLineChart,getUserOnlineStatus } from '../../api/userManagement'

export default {
    name: 'UserDetails',
    data() {
      return {
        userDetailsID: null,
        userData: {
            // address:"D7tviVPKtTd2qnkzJEVfZWQqzV6NyQqHxw",
            // historyBalance:[
            //     {
            //         "balance": "testAddBalanceForgrD7tviVPKtTd2qnkzJEVfZWQqzV6NyQqHxws"
            //     },
            //     {
            //         "balance": "testAddBalancD7tviVPKtTd2qnkzJEVfZWQqzV6NyQqHxweForgrs"
            //     },
            //     {
            //         "balance": "testAddBalancD7tviVPKtTd2qnkzJEVfZWQqzV6NyQqHxweForgrs"
            //     },
               
            // ],
            // maxHeight:"100000",
            // createDate:"2025-06-16 00:00:00",
            // amount:"273920.96662387",
            // coin:"nexa",
            // shouldOutDate:"2025-06-16 00:00:00",
            // user:"ceshi1",
        },
        userDetailsLoading: false,
        formInline: {
          user: '',
          region: ''
        },
        userDetailsParams:{
          coin: '',
          minerUser: '',
        
        },
        labelPosition: 'top',
        noDataTip: false,
        lineChartParams:{         
            user: '',
            endDate:"",
            startDate:"",
            coin:"",
           
        },
        onlineStatusParams:{ 
            user: '',
            coin: '',
            datePoint:"",
         }
      }
    },
    mounted() {
        console.log('userDetails mounted', this.$route.path, this.$route.query)
        const params= this.$route.query || JSON.parse(localStorage.getItem("userDetailsParams"));
        this.lineChartParams.user=params.user
        this.lineChartParams.coin=params.coin
        this.onlineStatusParams.user=params.user
        this.onlineStatusParams.coin=params.coin
        this.userDetailsParams.coin=params.coin
        this.userDetailsParams.minerUser=params.minerUser
      
        if (this.userDetailsParams.coin && this.userDetailsParams.minerUser) {
          localStorage.setItem("userDetailsParams", JSON.stringify(params));
        
          this.fetchUserDetails(this.userDetailsParams);
          this.fetchUserLineChart(this.lineChartParams);
          this.fetchUserOnlineStatus(this.onlineStatusParams);
        } 
    },
    methods: {
      async fetchUserDetails(params) {
        this.userDetailsLoading = true
        // 这里写你的获取详情逻辑
        const res = await getUserDetails(params)
        console.log(res)

        if(res && res.code == 200){
            if (!res.data) {
                // this.$message.error('未获取到用户信息');
                this.noDataTip = true
                this.userData.coin = this.userDetailsParams.coin
                this.userData.user = this.userDetailsParams.minerUser
            }else{
                this.userData = res.data
                this.userData.shouldOutDate=`${this.userData.shouldOutDate.split("T")[0]} ${this.userData.shouldOutDate.split("T")[1]}` 
                this.userData.createDate=`${this.userData.createDate.split("T")[0]} ${this.userData.createDate.split("T")[1]}` 
               
                this.noDataTip = false
            }


        }
        this.userDetailsLoading = false
      },
      async fetchUserLineChart(params) {
        const res = await getUserLineChart(params)
        console.log(res)
      },
      async fetchUserOnlineStatus(params) {
        const res = await getUserOnlineStatus(params)
        console.log(res)
      },
      goBack(){
        const lang = this.$i18n.locale;
        this.$router.push({ 
            path: `/${lang}/userManagement`, 
        })
      },
    }
  }